aboutsummaryrefslogtreecommitdiffstats
path: root/dpdk-tests/dpdk_scripts/install_dpdk.sh
diff options
context:
space:
mode:
authorpmikus <pmikus@cisco.com>2017-04-03 12:34:32 +0200
committerPeter Mikus <pmikus@cisco.com>2017-04-05 04:47:50 +0000
commit44270521c22729cf6d58ea63ba6ddd1aa535b1c5 (patch)
treea44c46eeb99b1079e1e3975cba45f5dc8124f15d /dpdk-tests/dpdk_scripts/install_dpdk.sh
parent5a04f6ddb56fefcc96452b4fe938616da309388f (diff)
Apply performance options for testpmd
- Add parameters to increase the performance of SUTs Change-Id: Ia9c5d76639bd931d8113c26e18861648de395322 Signed-off-by: pmikus <pmikus@cisco.com>
Diffstat (limited to 'dpdk-tests/dpdk_scripts/install_dpdk.sh')
-rwxr-xr-xdpdk-tests/dpdk_scripts/install_dpdk.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/dpdk-tests/dpdk_scripts/install_dpdk.sh b/dpdk-tests/dpdk_scripts/install_dpdk.sh
index 4b4c04a727..a050eb75f7 100755
--- a/dpdk-tests/dpdk_scripts/install_dpdk.sh
+++ b/dpdk-tests/dpdk_scripts/install_dpdk.sh
@@ -12,14 +12,14 @@ PWDDIR=$(pwd)
# Download the DPDK package
cd ${ROOTDIR}
wget "fast.dpdk.org/rel/${DPDK_PACKAGE}" || \
- echo "Failed to download $DPDK_PACKAGE" || exit 1
+ { echo "Failed to download $DPDK_PACKAGE"; exit 1; }
tar xJvf ${DPDK_PACKAGE} || \
- echo "Failed to extract $DPDK_PACKAGE" || exit 1
+ { echo "Failed to extract $DPDK_PACKAGE"; exit 1; }
# Compile the DPDK
cd ./${DPDK_DIR}
make install T=x86_64-native-linuxapp-gcc -j || \
- echo "Failed to compile $DPDK_VERSION" || exit 1
+ { echo "Failed to compile $DPDK_VERSION"; exit 1; }
cd ${PWDDIR}
# Compile the l3fwd
@@ -27,7 +27,7 @@ export RTE_SDK=${ROOTDIR}/${DPDK_DIR}/
export RTE_TARGET=x86_64-native-linuxapp-gcc
cd ${RTE_SDK}/examples/l3fwd
make -j || \
- echo "Failed to compile l3fwd" || exit 1
+ { echo "Failed to compile l3fwd"; exit 1; }
cd ${PWDDIR}
# Check and setup the hugepages
@@ -49,7 +49,7 @@ if [ ${SYS_HUGEPAGE} -lt 4096 ]; then
echo " Mounting hugepages"
sudo mkdir -p /mnt/huge
sudo mount -t hugetlbfs nodev /mnt/huge/ || \
- echo "Failed to mount hugepages" || exit 1
+ { echo "Failed to mount hugepages"; exit 1; }
fi
# Check and set the max map count